/*
Example:
.g-dropdown {
    @include dropdown;

    &-control {
        @include dropdown(control);
    }

    &-menu {
        @include dropdown(menu);
    }

    &.m-opened &-menu {
        @include dropdown(menu_opened);
    }
}
*/

@mixin dropdown($el: root) {
    @if $el == root {
        position: relative;
    }

    @if $el == control {
        appearance: none;
        cursor: pointer;
    }

    @if $el == menu {
        @include scrollbar();

        display: none;
        position: absolute;
        top: calc(100% + 5px);
        background-color: rgba(0,0,0, .8);
        padding: 10px;
        border-radius: 6px;
        width: 200px;
        max-height: 200px;
        overflow-y: auto;
    }
}

.g-dropdown {
    @include dropdown;

    &-control {
        @include dropdown(control);
    }

    &-menu {
        @include dropdown(menu);
    }
}
